Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.discussion
Class ForumFilter

    java.lang.Object
      |
      +--com.compoze.ebusiness.AbstractFilter
            |
            +--com.compoze.discussion.ForumFilter

All Implemented Interfaces:
  java.io.Serializable

public class ForumFilter
extends AbstractFilter
implements java.io.Serializable

This class represents a forum filter. A forum filter is used to restrict the forums that are returned as they are iterated over in a `Forums` collection. By setting properties in this filter, the forums that are returned include only those forums with properties that are the same. The string are case-insensitive.

By default, the forum filter only includes forums which do not have the archive flag set to `true` (i.e. forums that are not archived). To modify this behavior, use the methods `unsetArchive()` and `setArchive(boolean)` after you create a forum filter.

See the `Forums` class for futher details and examples on how to filter forums.

See Also:
  `Forums.setFilter(ForumFilter)`, Serialized Form

Fields inherited from class com.compoze.ebusiness.AbstractFilter
`m_rules, m_where`

Constructor Summary
`ForumFilter()` Constructor.

Method Summary
`void` | `appendFilter(ForumFilter filter, boolean bOr)` Appends the filter to this filter.
`void` | `clearFilters()` Clears all filter that are appended to this filter.
`com.compoze.ejb.persistence.database.IFilterRule` | `getFilterRule()`
`java.util.List` | `getFilters()` Gets a unmodifiable list of forum filters appended to this filter.
`void` | `removeFilter(ForumFilter filter)` Removes the filter from this filter.
`void` | `setArchive(boolean bArchive)` Sets filtering by archive flag.
`void` | `setAuthor(java.lang.String sAuthor)` Sets filtering by author.
`void` | `setAuthor(java.lang.String[] authors)` Sets filtering by author.
`void` | `setAuthor(java.lang.String[] authors, boolean bExactMatch)` Sets filtering by authors.
`void` | `setAuthor(java.lang.String sAuthor, boolean bExactMatch)` Sets filtering by author.
`void` | `setCustomNum1(long lCustomNum1)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long[] customNum1s)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lCustomNum1, boolean bGreaterThan)` Sets filtering by the custom num1 field.
`void` | `setCustomNum1(long lFromCount, long lToCount)` Sets filtering by custom num1 between the specified range.
`void` | `setCustomNum2(long lCustomNum2)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long[] customNum2s)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lCustomNum2, boolean bGreaterThan)` Sets filtering by the custom num2 field.
`void` | `setCustomNum2(long lFromCount, long lToCount)` Sets filtering by custom num2 between the specified range.
`void` | `setCustomNum3(long lCustomNum3)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long[] customNum3s)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lCustomNum3, boolean bGreaterThan)` Sets filtering by the custom num3 field.
`void` | `setCustomNum3(long lFromCount, long lToCount)` Sets filtering by custom num3 between the specified range.
`void` | `setCustomNum4(long lCustomNum4)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long[] customNum4s)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long lCustomNum4, boolean bGreaterThan)` Sets filtering by the custom num4 field.
`void` | `setCustomNum4(long lFromCount, long lToCount)` Sets filtering by custom num4 between the specified range.
`void` | `setCustomStr1(java.lang.String sCustomStr1)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String[] customString1s, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr1(java.lang.String sCustomStr1, boolean bExactMatch)` Sets filtering by custom str1.
`void` | `setCustomStr2(java.lang.String sCustomStr2)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String[] customString2s, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr2(java.lang.String sCustomStr2, boolean bExactMatch)` Sets filtering by custom str2.
`void` | `setCustomStr3(java.lang.String sCustomStr3)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String[] customString3s, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr3(java.lang.String sCustomStr3, boolean bExactMatch)` Sets filtering by custom str3.
`void` | `setCustomStr4(java.lang.String sCustomStr4)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String[] customString4s, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setCustomStr4(java.lang.String sCustomStr4, boolean bExactMatch)` Sets filtering by custom str4.
`void` | `setDateCreated(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a date created range.
`void` | `setDateLastModified(java.util.Date startDate, java.util.Date endDate)` Sets filtering by a date last modified range.
`void` | `setDescription(java.lang.String sDescription)` Sets filtering by description.
`void` | `setDescription(java.lang.String[] descriptions)` Sets filtering by description.
`void` | `setDescription(java.lang.String[] descriptions, boolean bExactMatch)` Sets filtering by description.
`void` | `setDescription(java.lang.String sDescription, boolean bExactMatch)` Sets filtering by description.
`void` | `setExpirationDate(java.util.Date startDate, java.util.Date endDate)` Sets filtering by an expiration date range.
`void` | `setKeywords(java.lang.String sKeywords)` Sets filtering by keywords.
`void` | `setKeywords(java.lang.String[] keywords)` Sets filtering by keywords.
`void` | `setKeywords(java.lang.String[] keywords, boolean bExactMatch)` Sets filtering by keywords.
`void` | `setKeywords(java.lang.String sKeywords, boolean bExactMatch)` Sets filtering by keywords.
`void` | `setMaximumTopicCount(int iCount, boolean bGreaterThan)` Sets filtering by maximum topic count.
`void` | `setMaximumTopicCount(int iFromCount, int iToCount)` Sets filtering by maximum topic count between the specified range.
`void` | `setMessageCount(int iCount, boolean bGreaterThan)` Sets filtering by message count.
`void` | `setMessageCount(int iFromCount, int iToCount)` Sets filtering by message count between the specified range.
`void` | `setName(java.lang.String sName)` Sets filtering by name.
`void` | `setName(java.lang.String[] names)` Sets filtering by name.
`void` | `setName(java.lang.String[] names, boolean bExactMatch)` Sets filtering by name.
`void` | `setName(java.lang.String sName, boolean bExactMatch)` Sets filtering by name.
`void` | `setTopicCount(int iCount, boolean bGreaterThan)` Sets filtering by topic count.
`void` | `setTopicCount(int iFromCount, int iToCount)` Sets filtering by topic count between the specified range.
`void` | `setType(ForumType type)` Sets filtering by forum type.
`void` | `setType(ForumType[] types)` Sets filtering by forum type.
`void` | `unsetArchive()` Unsets filterting by archive flag.
`void` | `unsetAuthor()` Unsets filterting by author.
`void` | `unsetCustomNum1()` Unsets filtering by custom num1.
`void` | `unsetCustomNum2()` Unsets filtering by custom num2.
`void` | `unsetCustomNum3()` Unsets filtering by custom num3.
`void` | `unsetCustomNum4()` Unsets filtering by custom num4.
`void` | `unsetCustomStr1()` Unsets filterting by custom str1.
`void` | `unsetCustomStr2()` Unsets filterting by custom str2.
`void` | `unsetCustomStr3()` Unsets filterting by custom str3.
`void` | `unsetCustomStr4()` Unsets filterting by custom str4.
`void` | `unsetDateCreated()` Unsets filtering by date created.
`void` | `unsetDateLastModified()` Unsets filtering by date last modified.
`void` | `unsetDescription()` Unsets filterting by description.
`void` | `unsetExpirationDate()` Unsets filtering by expiration date.
`void` | `unsetKeywords()` Unsets filterting by keywords.
`void` | `unsetMaximumTopicCount()` Unsets filtering by message count.
`void` | `unsetMessageCount()` Unsets filtering by message count.
`void` | `unsetName()` Unsets filterting by name.
`void` | `unsetTopicCount()` Unsets filtering by topic count.
`void` | `unsetType()` Unsets filterting by type flag.

Methods inherited from class com.compoze.ebusiness.AbstractFilter
`clearWhereClause, getBaseRule, getOr, getWhereClause, isEmpty, setBeginsRule, setGreaterThanRule, setLessThanRule, setNotRule, setOr, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setRule, setWhereClause, toRule, toString, unsetBeginsRule, unsetNotRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForumFilter

    public ForumFilter()

  Constructor.

Method Detail

### appendFilter

    public void appendFilter(ForumFilter filter,
                             boolean bOr)

  Appends the filter to this filter.
  Parameters:
    `filter` - the filter the append
    `bOr` - `true` to append this filter with an 'or'; `false` to use 'and'

### removeFilter

    public void removeFilter(ForumFilter filter)

  Removes the filter from this filter.
  Parameters:
    `filter` - the filter to remove

### clearFilters

    public void clearFilters()

  Clears all filter that are appended to this filter.

### getFilters

    public java.util.List getFilters()

  Gets a unmodifiable list of forum filters appended to this filter.
  Returns:
    an unmodifiable list of `ForumFilter` objects

### setName

    public void setName(java.lang.String sName)

  Sets filtering by name. Checks the name match as a substring of the name.
  Parameters:
    `sName` - the name
  See Also:
    `setName(String, boolean)`

### setName

    public void setName(java.lang.String sName,
                        boolean bExactMatch)

  Sets filtering by name.
  Parameters:
    `sName` - the name
    `bExactMatch` - `true` for an exact match of the string name; `false` to match as substring name

### setName

    public void setName(java.lang.String[] names)

  Sets filtering by name. Checks the name match as a substring of the name.
  Parameters:
    `names` - the names
  See Also:
    `setName(String[], boolean)`

### setName

    public void setName(java.lang.String[] names,
                        boolean bExactMatch)

  Sets filtering by name.
  Parameters:
    `names` - the names
    `exact` - `true` for an exact match of the names; `false` to match a substring

### unsetName

    public void unsetName()

  Unsets filterting by name.

### setDescription

    public void setDescription(java.lang.String sDescription)

  Sets filtering by description. Checks the description match as a substring of the description.
  Parameters:
    `sDescription` - the description
  See Also:
    `setDescription(String, boolean)`

### setDescription

    public void setDescription(java.lang.String sDescription,
                               boolean bExactMatch)

  Sets filtering by description.
  Parameters:
    `sDescription` - the description
    `bExactMatch` - `true` for an exact match of the string description; `false` to match as substring description

### setDescription

    public void setDescription(java.lang.String[] descriptions)

  Sets filtering by description. Checks the description match as a substring of the description.
  Parameters:
    `descriptions` - the descriptions
  See Also:
    `setDescription(String[], boolean)`

### setDescription

    public void setDescription(java.lang.String[] descriptions,
                               boolean bExactMatch)

  Sets filtering by description.
  Parameters:
    `descriptions` - the descriptions
    `exact` - `true` for an exact match of the descriptions; `false` to match a substring

### unsetDescription

    public void unsetDescription()

  Unsets filterting by description.

### setKeywords

    public void setKeywords(java.lang.String sKeywords)

  Sets filtering by keywords. Checks the keywords match as a substring of the keywords.
  Parameters:
    `sKeywords` - the keywords
  See Also:
    `setKeywords(String, boolean)`

### setKeywords

    public void setKeywords(java.lang.String sKeywords,
                            boolean bExactMatch)

  Sets filtering by keywords.
  Parameters:
    `sKeywords` - the keywords
    `bExactMatch` - `true` for an exact match of the string keywords; `false` to match as substring keywords

### setKeywords

    public void setKeywords(java.lang.String[] keywords)

  Sets filtering by keywords. Checks the keywords match as a substring of the keywords.
  Parameters:
    `keywords` - the keywords
  See Also:
    `setKeywords(String[], boolean)`

### setKeywords

    public void setKeywords(java.lang.String[] keywords,
                            boolean bExactMatch)

  Sets filtering by keywords.
  Parameters:
    `keywords` - the keywords
    `exact` - `true` for an exact match of the keywords; `false` to match a substring

### unsetKeywords

    public void unsetKeywords()

  Unsets filterting by keywords.

### setAuthor

    public void setAuthor(java.lang.String sAuthor)

  Sets filtering by author. Checks the author match as a substring of the author.
  Parameters:
    `sAuthor` - the author
  See Also:
    `setAuthor(String, boolean)`

### setAuthor

    public void setAuthor(java.lang.String sAuthor,
                          boolean bExactMatch)

  Sets filtering by author.
  Parameters:
    `sAuthor` - the author
    `bExactMatch` - `true` for an exact match of the string author; `false` to match as substring author

### setAuthor

    public void setAuthor(java.lang.String[] authors)

  Sets filtering by author. Checks the author match as a substring of the author.
  Parameters:
    `authors` - the authors
  See Also:
    `setAuthor(String[], boolean)`

### setAuthor

    public void setAuthor(java.lang.String[] authors,
                          boolean bExactMatch)

  Sets filtering by authors.
  Parameters:
    `authors` - the authors
    `bExactMatch` - `true` for an exact match of the authors; `false` to match a substring

### unsetAuthor

    public void unsetAuthor()

  Unsets filterting by author.

### setTopicCount

    public void setTopicCount(int iCount,
                              boolean bGreaterThan)

  Sets filtering by topic count.
  Parameters:
    `iCount` - the topic count
    `bGreaterThan` - `true` for topic count greater than specified count; `false` for topic count less than specified count
  See Also:
    `setTopicCount(int,int)`

### setTopicCount

    public void setTopicCount(int iFromCount,
                              int iToCount)

  Sets filtering by topic count between the specified range. The `iFromCount` must be less than the `iToCount`.
  Parameters:
    `iFromCount` - the topic count low range
    `iToCount` - the topic count high range

### unsetTopicCount

    public void unsetTopicCount()

  Unsets filtering by topic count.

### setMessageCount

    public void setMessageCount(int iCount,
                                boolean bGreaterThan)

  Sets filtering by message count.
  Parameters:
    `iCount` - the message count
    `bGreaterThan` - `true` for message count greater than specified count; `false` for message count less than specified count
  See Also:
    `setMessageCount(int,int)`

### setMessageCount

    public void setMessageCount(int iFromCount,
                                int iToCount)

  Sets filtering by message count between the specified range. The `iFromCount` must be less than the `iToCount`.
  Parameters:
    `iFromCount` - the message count low range
    `iToCount` - the message count high range

### unsetMessageCount

    public void unsetMessageCount()

  Unsets filtering by message count.

### setMaximumTopicCount

    public void setMaximumTopicCount(int iCount,
                                     boolean bGreaterThan)

  Sets filtering by maximum topic count.
  Parameters:
    `iCount` - the maximum topic count
    `bGreaterThan` - `true` for maximum topic count greater than specified count; `false` for maximum topic count less than specified count
  See Also:
    `setMaximumTopicCount(int,int)`

### setMaximumTopicCount

    public void setMaximumTopicCount(int iFromCount,
                                     int iToCount)

  Sets filtering by maximum topic count between the specified range. The `iFromCount` must be less than the `iToCount`.
  Parameters:
    `iFromCount` - the maximum topic count low range
    `iToCount` - the maximum topic count high range

### unsetMaximumTopicCount

    public void unsetMaximumTopicCount()

  Unsets filtering by message count.

### setExpirationDate

    public void setExpirationDate(java.util.Date startDate,
                                  java.util.Date endDate)

  Sets filtering by an expiration date range.
  Parameters:
    `startDate` - the expiration date start range
    `endDate` - the expiration date end range

### unsetExpirationDate

    public void unsetExpirationDate()

  Unsets filtering by expiration date.

### setDateCreated

    public void setDateCreated(java.util.Date startDate,
                               java.util.Date endDate)

  Sets filtering by a date created range.
  Parameters:
    `startDate` - the date created start range
    `endDate` - the date created end range

### unsetDateCreated

    public void unsetDateCreated()

  Unsets filtering by date created.

### setDateLastModified

    public void setDateLastModified(java.util.Date startDate,
                                    java.util.Date endDate)

  Sets filtering by a date last modified range.
  Parameters:
    `startDate` - the date last modified start range
    `endDate` - the date last modified end range

### unsetDateLastModified

    public void unsetDateLastModified()

  Unsets filtering by date last modified.

### setCustomNum1

    public void setCustomNum1(long[] customNum1s)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1

### setCustomNum1

    public void setCustomNum1(long lCustomNum1,
                              boolean bGreaterThan)

  Sets filtering by the custom num1 field.
  Parameters:
    `lCustomNum1` - the custom num1
    `bGreaterThan` - `true` for custom num1 greater than specified number; `false` for custom num1 less than specified number

### setCustomNum1

    public void setCustomNum1(long lFromCount,
                              long lToCount)

  Sets filtering by custom num1 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum1

    public void unsetCustomNum1()

  Unsets filtering by custom num1.

### setCustomNum2

    public void setCustomNum2(long[] customNum2s)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2

### setCustomNum2

    public void setCustomNum2(long lCustomNum2,
                              boolean bGreaterThan)

  Sets filtering by the custom num2 field.
  Parameters:
    `lCustomNum2` - the custom num2
    `bGreaterThan` - `true` for custom num2 greater than specified number; `false` for custom num2 less than specified number

### setCustomNum2

    public void setCustomNum2(long lFromCount,
                              long lToCount)

  Sets filtering by custom num2 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num2 low range
    `lToCount` - the custom num2 high range

### unsetCustomNum2

    public void unsetCustomNum2()

  Unsets filtering by custom num2.

### setCustomNum3

    public void setCustomNum3(long[] customNum3s)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3

### setCustomNum3

    public void setCustomNum3(long lCustomNum3,
                              boolean bGreaterThan)

  Sets filtering by the custom num3 field.
  Parameters:
    `lCustomNum3` - the custom num3
    `bGreaterThan` - `true` for custom num3 greater than specified number; `false` for custom num3 less than specified number

### setCustomNum3

    public void setCustomNum3(long lFromCount,
                              long lToCount)

  Sets filtering by custom num3 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum3

    public void unsetCustomNum3()

  Unsets filtering by custom num3.

### setCustomNum4

    public void setCustomNum4(long[] customNum4s)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4

### setCustomNum4

    public void setCustomNum4(long lCustomNum4)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4

### setCustomNum4

    public void setCustomNum4(long lCustomNum4,
                              boolean bGreaterThan)

  Sets filtering by the custom num4 field.
  Parameters:
    `lCustomNum4` - the custom num4
    `bGreaterThan` - `true` for custom num4 greater than specified number; `false` for custom num4 less than specified number

### setCustomNum4

    public void setCustomNum4(long lFromCount,
                              long lToCount)

  Sets filtering by custom num4 between the specified range. The `lFromCount` must be less than the `lToCount`.
  Parameters:
    `lFromCount` - the custom num1 low range
    `lToCount` - the custom num1 high range

### unsetCustomNum4

    public void unsetCustomNum4()

  Unsets filtering by custom num4.

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `sCustomStr1` - the Custom String1
  See Also:
    `setCustomStr1(String, boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String sCustomStr1,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `sCustomStr1` - the custom str1
    `bExactMatch` - `true` for an exact match of the string custom str1; `false` to match as substring custom str1

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s)

  Sets filtering by custom str1. Checks the custom str1 match as a substring of the custom str1.
  Parameters:
    `customString1s` - the custom string1s
  See Also:
    `setCustomStr1(String[], boolean)`

### setCustomStr1

    public void setCustomStr1(java.lang.String[] customString1s,
                              boolean bExactMatch)

  Sets filtering by custom str1.
  Parameters:
    `customString1s` - the custom string1s
    `exact` - `true` for an exact match of the custom string1s; `false` to match a substring

### unsetCustomStr1

    public void unsetCustomStr1()

  Unsets filterting by custom str1.

### setArchive

    public void setArchive(boolean bArchive)

  Sets filtering by archive flag.
  Parameters:
    `bArchive` - the flag to filter by (`true` to filter for archived forums; `false` otherwise)

### unsetArchive

    public void unsetArchive()

  Unsets filterting by archive flag.

### setType

    public void setType(ForumType type)

  Sets filtering by forum type.
  Parameters:
    `type` - the forum type to filter by (may not be `null`)

### setType

    public void setType(ForumType[] types)

  Sets filtering by forum type.
  Parameters:
    `types` - the forum types to filter by (may not be `null`)

### unsetType

    public void unsetType()

  Unsets filterting by type flag.

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `sCustomStr2` - the Custom String2
  See Also:
    `setCustomStr2(String, boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String sCustomStr2,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `sCustomStr2` - the custom str2
    `bExactMatch` - `true` for an exact match of the string custom str2; `false` to match as substring custom str2

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s)

  Sets filtering by custom str2. Checks the custom str2 match as a substring of the custom str2.
  Parameters:
    `customString2s` - the custom string2s
  See Also:
    `setCustomStr2(String[], boolean)`

### setCustomStr2

    public void setCustomStr2(java.lang.String[] customString2s,
                              boolean bExactMatch)

  Sets filtering by custom str2.
  Parameters:
    `customString2s` - the custom string2s
    `exact` - `true` for an exact match of the custom string2s; `false` to match a substring

### unsetCustomStr2

    public void unsetCustomStr2()

  Unsets filterting by custom str2.

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `sCustomStr3` - the Custom String3
  See Also:
    `setCustomStr3(String, boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String sCustomStr3,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `sCustomStr3` - the custom str3
    `bExactMatch` - `true` for an exact match of the string custom str3; `false` to match as substring custom str3

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s)

  Sets filtering by custom str3. Checks the custom str3 match as a substring of the custom str3.
  Parameters:
    `customString3s` - the custom string3s
  See Also:
    `setCustomStr3(String[], boolean)`

### setCustomStr3

    public void setCustomStr3(java.lang.String[] customString3s,
                              boolean bExactMatch)

  Sets filtering by custom str3.
  Parameters:
    `customString3s` - the custom string3s
    `exact` - `true` for an exact match of the custom string3s; `false` to match a substring

### unsetCustomStr3

    public void unsetCustomStr3()

  Unsets filterting by custom str3.

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `sCustomStr4` - the Custom String4
  See Also:
    `setCustomStr4(String, boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String sCustomStr4,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `sCustomStr4` - the custom str4
    `bExactMatch` - `true` for an exact match of the string custom str4; `false` to match as substring custom str4

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s)

  Sets filtering by custom str4. Checks the custom str4 match as a substring of the custom str4.
  Parameters:
    `customString4s` - the custom string4s
  See Also:
    `setCustomStr4(String[], boolean)`

### setCustomStr4

    public void setCustomStr4(java.lang.String[] customString4s,
                              boolean bExactMatch)

  Sets filtering by custom str4.
  Parameters:
    `customString4s` - the custom string4s
    `exact` - `true` for an exact match of the custom string4s; `false` to match a substring

### unsetCustomStr4

    public void unsetCustomStr4()

  Unsets filterting by custom str4.

### getFilterRule

    public com.compoze.ejb.persistence.database.IFilterRule getFilterRule()

  Overrides:
    `getFilterRule` in class `AbstractFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.